task mixcr {

	File read1
	File read2

	String sample
	String base = sub(basename(read1),"\\.\\S+$", "")
	String docker
	String cluster_config
	String disk_size

	command <<<
        mixcr align -t 4 -p rna-seq -s hsa -OallowPartialAlignments=true ${read1} ${read2} ${base}.vdjca
		mixcr assemblePartial ${base}.vdjca ${base}_rescued_1.vdjca
		mixcr assemblePartial ${base}_rescued_1.vdjca ${base}_rescued_2.vdjca
		mixcr extend ${base}_rescued_2.vdjca ${base}_rescued_2_extended.vdjca
		mixcr assemble ${base}_rescued_2_extended.vdjca ${base}.clns
		mixcr exportClones ${base}.clns ${base}.txt
		mixcr exportClones -c TRB ${base}.clns ${base}.TRB.txt
		mixcr exportClones -c IGH ${base}.clns ${base}.IGH.txt

	>>>

	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File align_out = base + ".vdjca"
		File assemble_rescued_1_out = base + "_rescued_1.vdjca"
		File assemble_rescued_2_out = base + "_rescued_2.vdjca"
		File assemble_rescued_extended_out = base + "_rescued_2_extended.vdjca"
		File clns_out = base + ".clns"
		File clones_out = base + ".txt"
		File trb_out = base + ".TRB.txt"
		File igh_out = base + ".IGH.txt"
	}
}
